#!/bin/sh
#
# Starting UFM Status Monitor for Java 64-bit
#
# Uncomment and set UFM-SM_HOME
#
###UFM-SM_HOME=/opt/mqm/Capitalware/UFM-SM
###export UFM-SM_HOME
#
if [ -n "${UFM-SM_HOME}" ]; then
  echo "UFM-SM_HOME=${UFM-SM_HOME} "
else
  echo "UFM-SM_HOME is not set. Please set UFM-SM_HOME then try again."
  exit
fi
#
# MQAUSXJ client-side security exit
#
case `uname -s` in
OS400)
  MQAUSXJ_PATH=/QIBM/ProdData/mqm/mqausx
;;
*)
  MQAUSXJ_PATH=/var/mqm/exits64
esac
#
# Set defaul values for UFM-SM variables
#
UFM-SM_JVM_PARMS="-Xms64m -Xmx512m"
UFM-SM_EXE_CLASS=com.capitalware.ufmsm.UFMSM
#
# Common CLASSPATH value
#
CLASSPATH="libs/UFM-SM.jar:libs/jdom.jar:${MQAUSXJ_PATH}/MQAUSXJ.jar"
#
#
if [ -n "${MQSSLKEYR}" ]; then
   UFM-SM_JVM_PARMS=-Djavax.net.ssl.trustStore="${MQSSLKEYR}.jks ${UFM-SM_JVM_PARMS}"
fi
#
export CLASSPATH
#
# Are the MQ Java libraries installed
#
if [ -f "/opt/mqm/java/lib/com.ibm.mq.jar" ] || [ -f "/usr/mqm/java/lib/com.ibm.mq.jar" ] || [ -f "/QIBM/ProdData/mqm/java/lib/com.ibm.mq.jar" ]; then
  #
  # Figure out CLASSPATH and shared library
  #
  case `uname -s` in
  AIX)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/usr/mqm/java/lib"
    fi

    if [ -n "${LIBPATH}" ]; then
      LIBPATH="/usr/mqm/java/lib64:$LIBPATH"
    else
      LIBPATH="/usr/mqm/java/lib64"
    fi

    export LIBPATH
    echo "LIBPATH=${LIBPATH}"
  ;;
  HP-UX)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/opt/mqm/java/lib"
    fi

    if [ -n "${SHLIB_PATH}" ]; then
      SHLIB_PATH="/opt/mqm/java/lib64:$SHLIB_PATH"
    else
      SHLIB_PATH="/opt/mqm/java/lib64"
    fi

    export SHLIB_PATH
    echo "SHLIB_PATH=${SHLIB_PATH}"
  ;;
  LINUX|Linux)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/opt/mqm/java/lib"
    fi

    if [ -n "${LD_LIBRARY_PATH}" ]; then
      LD_LIBRARY_PATH="/opt/mqm/java/lib64:$LD_LIBRARY_PATH"
    else
      LD_LIBRARY_PATH="/opt/mqm/java/lib64"
    fi

    export LD_LIBRARY_PATH
    echo "LD_LIBRARY_PATH=${LD_LIBRARY_PATH}"
  ;;
  SunOS)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/opt/mqm/java/lib"
    fi

    if [ -n "${LD_LIBRARY_PATH}" ]; then
      LD_LIBRARY_PATH="/opt/mqm/java/lib64:$LD_LIBRARY_PATH"
    else
      LD_LIBRARY_PATH="/opt/mqm/java/lib64"
    fi

    export LD_LIBRARY_PATH
    echo "LD_LIBRARY_PATH=${LD_LIBRARY_PATH}"
  ;;
  OS400)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/QIBM/ProdData/mqm/java/lib"
    fi

    if [ -n "${LIBPATH}" ]; then
      LIBPATH="/QIBM/ProdData/mqm/java/lib:$LIBPATH"
    else
      LIBPATH="/QIBM/ProdData/mqm/java/lib"
    fi

    export LIBPATH
    echo "LIBPATH=${LIBPATH}"
  ;;
  *)
    MQLIBPATH="libs"
    echo "Using included libs libraries - Only Client mode connections allowed."
  esac
else
  echo "Java MQ not found."
  exit
fi
#
# Add MQ JAR files to the CLASSPATH
#
CLASSPATH="${MQLIBPATH}/com.ibm.mq.allclient.jar:${MQLIBPATH}/com.ibm.mq.jar:${MQLIBPATH}/com.ibm.mq.jmqi.jar:${MQLIBPATH}/com.ibm.mq.headers.jar:${MQLIBPATH}/com.ibm.mq.commonservices.jar:${MQLIBPATH}/com.ibm.mq.pcf.jar:${MQLIBPATH}:${MQLIBPATH}/connector.jar:$CLASSPATH"
export CLASSPATH
echo "CLASSPATH=${CLASSPATH}"
#
cd ${UFM-SM_HOME}
#
# Now start UFM Status Monitor GUI for Java 64-bit
#
java ${UFM-SM_JVM_PARMS} ${UFM-SM_EXE_CLASS} "$@"

